class CreateAdmins < ActiveRecord::Migration
  def change
    create_table :admins do |t|
      t.string :name
      t.string :firstname
      t.string :avatar
      t.string :username, :null => false, :default => ""
      t.string :email, :null => false, :default => ""
      t.string :password_digest, :null => false, :default => ""
      t.string :reset_password_token
      t.datetime :reset_password_sent_at
      t.datetime :remember_created_at
      t.integer  :sign_in_count, :default => 0
      t.datetime :current_sign_in_at
      t.datetime :last_sign_in_at
      t.string   :current_sign_in_ip
      t.string   :last_sign_in_ip
      t.string :remember_token
      t.boolean :super_admin
      

      t.timestamps
    end
    
    Admin.create(:email => "info@nicolasbally.com", :username => "nico", :password => "123456", :password_confirmation => "123456", :super_admin => true)
    
  end
end
